API
===

..
   .. autosummary::
      :toctree: stubs_autogen


Preprocessing
-------------

.. automodule:: celldetective.preprocessing
   :members:

Segmentation
------------
  
.. automodule:: celldetective.segmentation
   :members:
   
Tracking
--------
   
.. automodule:: celldetective.tracking
   :members:
   
Measurements
------------
   
.. automodule:: celldetective.measure
   :members:
   
Signals
-------
   
.. automodule:: celldetective.signals
   :members:

Events
------

.. automodule:: celldetective.events
   :members:

.. automodule:: celldetective.event_detection_models
   :members:

Neighborhood
------------
   
.. automodule:: celldetective.neighborhood
   :members:

Interactions
------------

.. automodule:: celldetective.relative_measurements
   :members:

Utils
-----

.. automodule:: celldetective.utils
   :members:

.. automodule:: celldetective.utils.io
   :members:

.. automodule:: celldetective.utils.color_mappings
   :members:

.. automodule:: celldetective.utils.data_cleaning
   :members:

.. automodule:: celldetective.utils.data_loaders
   :members:

.. automodule:: celldetective.utils.dataset_helpers
   :members:

.. automodule:: celldetective.utils.downloaders
   :members:

.. automodule:: celldetective.utils.experiment
   :members:

.. automodule:: celldetective.utils.image_augmenters
   :members:

.. automodule:: celldetective.utils.image_cleaning
   :members:

.. automodule:: celldetective.utils.image_loaders
   :members:

.. automodule:: celldetective.utils.image_transforms
   :members:

.. automodule:: celldetective.utils.mask_cleaning
   :members:

.. automodule:: celldetective.utils.mask_transforms
   :members:

.. automodule:: celldetective.utils.masks
   :members:

.. automodule:: celldetective.utils.maths
   :members:

.. automodule:: celldetective.utils.model_getters
   :members:

.. automodule:: celldetective.utils.model_loaders
   :members:

.. automodule:: celldetective.utils.normalization
   :members:

.. automodule:: celldetective.utils.parsing
   :members:

.. automodule:: celldetective.utils.resources
   :members:

.. automodule:: celldetective.utils.stats
   :members:

.. automodule:: celldetective.utils.types
   :members:


Filters
-------

.. automodule:: celldetective.filters
   :members:


.. _extra_properties:
   
Extra properties
----------------


.. automodule:: celldetective.extra_properties
   :members:
